Bug 1707476 - Build python3 version of django in EPEL7
Summary: Build python3 version of django in EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-django
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1707468
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-07 15:25 UTC by Tuomo Soini
Modified: 2019-07-14 00:45 UTC (History)
7 users (show)

Fixed In Version: python-django-1.11.21-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-14 00:45:07 UTC


Attachments (Terms of Use)
Patch for spec adding python3 support (and cleanup) (32.85 KB, patch)
2019-05-07 15:25 UTC, Tuomo Soini
no flags Details | Diff

Description Tuomo Soini 2019-05-07 15:25:06 UTC
Created attachment 1565271 [details]
Patch for spec adding python3 support (and cleanup)

Could you provide python3 version of django on epel7?

I attach patch which add python3 support (and includes cleanup for python-django spec.

Cleanups: Obsolete and don't package docs because doc packages didn't contain any files before. Filelist clanup so no same file would be included more than once.

Comment 1 Tuomo Soini 2019-05-07 15:27:48 UTC
Because python36-bcrypt is build dpendency, I created separate bug requesting python3 build.

Comment 2 Matthias Runge 2019-05-08 12:17:46 UTC
If we want tests, to be fairly sure the build works, we'd also need:
BuildRequires:  python3-docutils
BuildRequires:  python3-jinja2
BuildRequires:  python3-mock
BuildRequires:  python3-numpy
BuildRequires:  python3-pillow
BuildRequires:  python3-PyYAML
BuildRequires:  python3-pytz
BuildRequires:  python3-selenium
BuildRequires:  python3-sqlparse
BuildRequires:  python3-memcached

Comment 3 Tuomo Soini 2019-05-08 12:43:55 UTC
Only python36-pillow, python36-selenium, python36-sqlparse, and python36-memcached are missing from that list.

But note, tests are not enabled for python2 version either, that's why I didn't care to create bugs about those other test deps.

Comment 4 Matthias Runge 2019-05-08 18:57:39 UTC
I kept checks enabled almost always, but there were cases, where tests did not pass on koji, but e.g worked on my machine in mock.

Comment 5 Bishop Clark 2019-06-24 22:21:05 UTC
So if we disable the runtests.py, we could play with an alpha? Will it work to tide us over for the brief period until python3-django shows up on EPEL7 or EPEL8?

--- python-django.spec  2019-06-04 01:21:06.000000000 -0700
+++ -   2019-06-24 15:19:24.646725844 -0700
@@ -4,9 +4,6 @@
 %global with_python3 0
 %endif

-# not all deps here yet
-%global with_python3 0
-
 # Turn off the brp-python-bytecompile script
 %global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

@@ -233,7 +230,6 @@

 %if 0%{?with_python3}
 # strange, tests on py35 fail in koji, but pass in local mock
-#{__python3} runtests.py --settings=test_sqlite --verbosity=2 --parallel 1
 %endif # with_python3

 %endif

Comment 6 Fedora Update System 2019-06-25 07:53:10 UTC
FEDORA-EPEL-2019-e75c0f0a91 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e75c0f0a91

Comment 7 Matthias Runge 2019-06-25 07:53:41 UTC
python36-bcrypt is still missing as build requirement, an "alpha" would not build.

I stepped in merged and kicked in a build. Please test the following carefully and give feedback

https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e75c0f0a91

Comment 8 Fedora Update System 2019-06-26 04:32:48 UTC
python-bcrypt-3.1.6-2.el7, python-django-1.11.21-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e75c0f0a91

Comment 9 Fedora Update System 2019-07-14 00:45:07 UTC
python-bcrypt-3.1.6-2.el7, python-django-1.11.21-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.